/*
 * LaunchClassLoader.java
 * Created on 2011/10/13
 *
 * Copyright (C) 2011-2013 Nippon Telegraph and Telephone Corporation
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 *
 */

package jp.co.ntt.oss.heapstats;

import java.net.URL;
import java.net.URLClassLoader;

/**
 * extends {@link URLClassLoader}<br>
 * <br>
 * This class loader is used to load classes and resources from a search path of
 * URLs referring to both JAR files.
 */
public class LaunchClassLoader extends URLClassLoader {
    /**
     * Constructs a new LaunchClassLoader for the specified URLs using the
     * default delegation parent ClassLoader.
     *
     * @param arg0 the URLs from which to load classes and resources
     */
    public LaunchClassLoader(final URL[] arg0) {
        super(arg0);
    }

    @Override
    public final Class<?> loadClass(final String arg0)
            throws ClassNotFoundException {
        try {
            return findClass(arg0);
        } catch (Exception e) {
            return super.loadClass(arg0);
        }
    }
}
